## com.sun.jersey.api.client.filter
Class ContainerListener

    java.lang.Object
      com.sun.jersey.api.client.filter.ContainerListener

    public abstract class ContainerListener

extends java.lang.Object

ContainerListener abstract class

Author:
  pavel.bucek@sun.com

Constructor Summary
`ContainerListener()`

Method Summary
`void` | `onFinish()` Called when last byte of response entity is read or (if entity is not present in response) after sending request.
`void` | `onReceived(long delta, long bytes)` Called when any amount of bytes is read from responses entity
`void` | `onReceiveStart(long totalBytes)` Called when receive starts.
`void` | `onSent(long delta, long bytes)` Called when any amount of bytes from request entity is sent.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContainerListener

    public ContainerListener()

Method Detail

### onSent

    public void onSent(long delta,
                       long bytes)

  Called when any amount of bytes from request entity is sent.

  Parameters:
    `delta` - the number of bytes sent for this event
    `bytes` - the total number of bytes sent so far

### onReceiveStart

    public void onReceiveStart(long totalBytes)

  Called when receive starts.

  Parameters:
    `totalBytes` - entity size in response (taken from http header "Content-Length"; set to -1 if it's missing)

### onReceived

    public void onReceived(long delta,
                           long bytes)

  Called when any amount of bytes is read from responses entity

  Parameters:
    `delta` - the number of bytes received for this event
    `bytes` - the total number of bytes received so far

### onFinish

    public void onFinish()

  Called when last byte of response entity is read or (if entity is not present in response) after sending request.

Copyright © 2017 Oracle Corporation. All Rights Reserved.